Method: customers.v2.Groups.list

擷取群組清單。

  • 要求必須指定篩選條件。如果要求沒有 filter 參數,系統會傳回 tooMany 錯誤。
  • filter 參數僅支援 displayName (例如 displayName eq "Group Name") 或 externalId (例如 externalId eq "ddaafa46e2b6") 的等號。
  • 不支援子字串比對 (coswew)、邏輯運算子 (andor) 和複雜值篩選器。
  • 不支援分頁功能。如果群組相符項目超過 50 個,系統只會傳回前 50 個結果。

HTTP 要求

GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Groups

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
customerId

string

這是必要旗標,客戶 ID。

查詢參數

參數
filter

string

篩選器參數。

要求主體

要求主體必須為空白。

回應主體

列出群組的回覆訊息。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "schemas": [
    string
  ],
  "resources": [
    {
      object (Group)
    }
  ],
  "totalResults": integer
}
欄位
schemas[]

string

傳回資源的結構定義。

resources[]

object (Group)

要求的資源清單。

totalResults

integer

結果總數。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-identity.groups.readonly
  • https://www.googleapis.com/auth/cloud-identity.groups
  • https://www.googleapis.com/auth/cloud-identity
  • https://www.googleapis.com/auth/cloud-platform

詳情請參閱授權指南